%define auth_ldap_version 2.0.3

%define plugindir %_libdir/%name/plugins
%bcond_without ldap


Summary:	A Secure TCP/UDP Tunneling Daemon
Name:		openvpn
Version:	2.3.14
Release:	%mkrel 1
URL:		http://openvpn.net/
Source0:	http://openvpn.net/release/openvpn-%{version}.tar.xz
Source1:	EasyRSA-2.2.2.tar.xz
Patch0:		%{name}-own-user.patch
Patch1:		openvpn-adding-routes.patch
Patch3:		openvpn-2.0.5-pinit.patch
Patch4:		openvpn-2.1_rc1.openvpn_user.patch
Patch6:		openvpn-2.1_rc15-wformat.patch
Patch10:    openvpn-script-security.patch
Patch11:    openvpn-2.1.1-init.patch
Patch12:    openvpn-2.1.1-initinfo.patch
License:	GPLv2
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	liblzo-devel 
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	%{_lib}pkcs11-helper-devel >= 1.11
BuildRequires:	automake
Requires(pre):	rpm-helper
Requires(preun): rpm-helper
Requires(post): rpm-helper
Requires(postun): rpm-helper

Requires:   %{_lib}nettle6

%description
OpenVPN is a robust and highly flexible tunneling application that  uses
all of the encryption, authentication, and certification features of the
OpenSSL library to securely tunnel IP networks over a single UDP port.

64bit version does not contain the ldap plugin.


%prep
%setup -q -n openvpn-%{version}
%patch0 -p0
%patch1 -p0
%patch3 -p0
%patch4 -p1
%patch6 -p1
%patch10 -p0
#%patch11 -p0
%patch12 -p0

%build
%serverbuild
#./pre-touch
aclocal
automake
autoconf

CFLAGS="%{optflags} -fPIC" CCFLAGS="%{optflags} -fPIC"
%configure2_5x --disable-static --enable-lzo --enable-password-save --enable-pkcs11 \
	       --enable-plugin-auth-pam --enable-plugin-down-root
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -m755 distro/rpm/openvpn.init.d.rhel -D %{buildroot}%{_initrddir}/%{name}
install -d %{buildroot}%{_sysconfdir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr sample/sample-{config-file,key,script}s %{buildroot}%{_datadir}/%{name}
	
install -d $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}

# install easyrsa
mkdir -p %{buildroot}%{_datadir}/%{name}/easy-rsa
tar -Jxf %SOURCE1
cp EasyRSA-2.2.2/* %{buildroot}%{_datadir}/%{name}/easy-rsa

# remove unwanted files
rm -f %{buildroot}%{plugindir}/*.la
rm -rf %{buildroot}%{_includedir}

%clean
rm -rf %{buildroot}

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/true

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%defattr(-,root,root,0755)
%doc AUTHORS INSTALL PORTS README
%doc src/plugins/*/README.*
%{_mandir}/man8/%{name}.8*
%{_sbindir}/%{name}
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%{_initrddir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%dir %plugindir
%plugindir/*.so


%changelog
* Tue Jan 17 2017 adrianomorselli <adrianomorselli> 2.3.14-1uplos2017
- rebuild

* Sat Dec 10 2016 bb <bb> 2.3.14-1pclos2017
- update


